package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum EDiscountType implements BaseEnum<String, EDiscountType> {

    COUPON("优惠券"),
    ACTIVATY("活动"),
    DISCOUNT("畅学卡"),
    ;

    @EnumValue
    private String code;

    private String desc;

    EDiscountType(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return name();
    }

    public String getDesc() {
        return desc;
    }
}
